std::unordered_multiset::begin,(3)

NAME
std::unordered_multiset::begin, - std::unordered_multiset::begin,

Synopsis
   iterator begin() noexcept; (since C++11)
   const_iterator begin() const noexcept; (since C++11)
   const_iterator cbegin() const noexcept; (since C++11)
   Returns an iterator to the first element of the unordered_multiset.
   If the unordered_multiset is empty, the returned iterator will be equal to end().
   range-begin-end.svg

Parameters
   (none)

Return value
   Iterator to the first element.

Complexity
   Constant.

Notes
   Because both iterator and const_iterator are constant iterators (and may in fact be
   the same type), it is not possible to mutate the elements of the container through
   an iterator returned by any of these member functions.

Example
// Run this code
 #include <iostream>
 #include <iterator>
 #include <string>
 #include <unordered_set>
 int main() {
     const std::unordered_multiset<std::string> words = {
         "some", "words", "to", "count",
         "count", "these", "words"
     };
     for (auto it = words.begin(); it != words.end(); ) {
         auto cnt = words.count(*it);
         std::cout << *it << ":\t" << cnt << '\n';
         std::advance(it, cnt); // all cnt elements have equivalent keys
     }
 }

Possible output:
 some: 1
 words: 2
 to: 1
 count: 2
 these: 1

See also
   end returns an iterator to the end
   cend (public member function)
   (C++11)
   begin
   cbegin returns an iterator to the beginning of a container or array
   (C++11) (function template)
   (C++14)